library json_to_widget;

import 'dart:convert';
import 'package:flutter/material.dart';

class JsonAppBar extends StatefulWidget {
  const JsonAppBar({
    Key? key,
    required this.appBar,
    this.padding,
    this.appBarMap,
    this.decorations = const {},
    this.buttonSave,
    this.actionSave,
  }) : super(key: key);

  final Map decorations;
  final String appBar;
  final Map? appBarMap;
  final double? padding;
  final Widget? buttonSave;
  final Function? actionSave;

  @override
  _CoreNavState createState() => _CoreNavState(appBarMap ?? json.decode(appBar));
}

class _CoreNavState extends State<JsonAppBar> {
  final dynamic appBarGeneral;

  int? radioValue;

  // Return widgets

  List<Widget> jsonToAppBar() {
    List<Widget> appBarWidgets = <Widget>[];
    if (appBarGeneral['title'] != null) {
      appBarWidgets.add(Text(
        appBarGeneral['title'],
        style: const TextStyle(fontWeight: FontWeight.bold, fontSize: 20.0),
      ));
    }
    return appBarWidgets;
  }

  _CoreNavState(this.appBarGeneral);

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: Text(appBarGeneral['title']),
      centerTitle: true,
    );
  }
}
